html,body{
        cursor:none;
    }
    body {
        background-color: #444;
        height:100%;
    }

    .btn-responcive{
        display: block;
        vertical-align: middle;
        width: 100%;
        font-size:2.4em;
        margin:10px 0;
        border: solid 1px white;
        font-weight:700;
        color:white;
        box-shadow: 1px 1px 2px #000;
        border: solid 1px white;
    }
    .btn-ico{
         border: solid 1px white;
    }
    .w-50{width:50px;}
    .my-card{
        color:white;
        border-radius: 0;
        background-color: #444;
        border-right: solid 1px rgba(135,555,255,0.2);
        width: 100%;
        height:100vh;
    }
    .btn-circle{
        border-radius:50%;
       
        color:white !important;
        vertical-align: middle;
        text-align: center;
        border:solid 1px white;
        transition: all .2s ease-in-out;
        padding: 0;
        margin: 5px 0;
        overflow: hidden;
    }
    .btn-circle.btn-md{
         width: 47px;
        height: 47px;
    }
     .btn-circle.btn-xs{
         width: 30px;
        height: 30px;
    }
    .btn-ico i{
        color:#fff;
        font-size: 1em;
        
    }
    .text-middle{
         vertical-align: middle;
    }
    .btn-warning, .btn-info{
        color:#444;
    }
    .text-right{
        text-align: right;
    }
  


.custom-control {
    position: relative;
    display: block;
    min-height: 1.19437rem;
    padding-left: 1.625rem
}

.custom-control-inline {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    margin-right: 1rem
}

.custom-control-input {
    position: absolute;
    left: 0;
    z-index: -1;
    width: 1.125rem;
    height: 1.15969rem;
    opacity: 0
}

.custom-control-input:checked~.custom-control-label::before {
    color: #fff;
    border-color: #6e4e9e;
    background-color: #7a59ad
}

.custom-control-input:focus~.custom-control-label::before {
    -webkit-box-shadow: 0 0 0 .2rem transparent;
    box-shadow: 0 0 0 .2rem transparent
}

.custom-control-input:focus:not(:checked)~.custom-control-label::before {
    border-color: #967bbd
}

.custom-control-input:not(:disabled):active~.custom-control-label::before {
    color: #beaed7;
    background-color: #beaed7;
    border-color: #beaed7
}

.custom-control-input:disabled~.custom-control-label,.custom-control-input[disabled]~.custom-control-label {
    color: #868e96
}

.custom-control-input:disabled~.custom-control-label::before,.custom-control-input[disabled]~.custom-control-label::before {
    background-color: #f3f3f3
}

.custom-control-label {
    position: relative;
    margin-bottom: 0;
    vertical-align: top
}

.custom-control-label::before {
    position: absolute;
    top: .03469rem;
    left: -1.625rem;
    display: block;
    width: 1.125rem;
    height: 1.125rem;
    pointer-events: none;
    content: "";
    background-color: #fff;
    border: #adb5bd solid 2px
}

.custom-control-label::after {
    position: absolute;
    top: .03469rem;
    left: -1.625rem;
    display: block;
    width: 1.125rem;
    height: 1.125rem;
    content: "";
    background: no-repeat 50%/.5rem
}

.custom-checkbox .custom-control-label::before {
    border-radius: 2px
}


.custom-switch {
    padding-left: 2.46875rem
}

.custom-switch .custom-control-label::before {
    left: -2.46875rem;
    width: 1.96875rem;
    pointer-events: all;
    border-radius: .5625rem
}
.sticky{
    position: sticky;
    top: 0px;
}
thead.sticky{
    background: #444;
    border-bottom: solid 1px red !important;
}
.custom-switch .custom-control-label::after {
    top: calc(.03469rem + 4px);
    left: calc(-2.46875rem + 4px);
    width: calc(1.125rem - 8px);
    height: calc(1.125rem - 8px);
    background-color: #adb5bd;
    border-radius: .5625rem;
    -webkit-transition: background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-transform .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: background-color .15s ease-in-out,border-color .15s ease-in-out,-webkit-transform .15s ease-in-out,-webkit-box-shadow .15s ease-in-out;
    transition: transform .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    transition: transform .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out,-webkit-transform .15s ease-in-out,-webkit-box-shadow .15s ease-in-out
}

.custom-switch .custom-control-input:checked~.custom-control-label::after {
    background-color: #fff;
    -webkit-transform: translateX(.84375rem);
    transform: translateX(.84375rem)
}

.custom-switch .custom-control-input:disabled:checked~.custom-control-label::before {
    background-color: #beaed7
}
.inline{
    display: inline-block;
}
.ml-2{margin-left: 2rem;}
.off .fa-power-off{
    transform: rotate(90deg);
  }

date-picker {
  position: relative;
}
date-picker > .picker {
  background: #fff;
  position: relative;
  font-size: 1.2rem;
  text-align: center;
}
date-picker > .picker > .monthSelector {
  margin: 1em 0;
  display: flex;
  align-items: center;
}
date-picker > .picker > .monthSelector > .currMonth {
  flex: 1;
}
date-picker > .picker > .monthSelector > .currYear {
  flex: 0.5;
}
date-picker > .picker > .monthSelector > button {
  font-weight: bold;
  padding: 0.5em;
}
date-picker > .picker > table {
  table-layout: fixed;
  width: 100%;
  border-collapse: collapse;
}
date-picker > .picker > table th,
date-picker > .picker > table td {
  text-align: center;
}
date-picker > .picker > table td {
  cursor: pointer;
  border: 1px solid #aaa;
  padding: 1em;
  color: #777;
  background-color: #eee;
}
date-picker > .picker > table td.cur {
  color: inherit;
  background-color: #fff;
}
date-picker > .picker > table td.today {
  font-weight: bold;
}
date-picker > .picker > table td.selected {
  font-weight: bold;
  background-color: #333;
  color: #fff;
}

*::-webkit-scrollbar {display: none;}